# coding=utf-8

from django.conf.urls import url, include
from apps.dashboard.views import index
from .views import *

urlpatterns = [
    url(r'^$', index),
    url(r'^token/obtain/$', StaffUserLoginView.as_view()),
    url(r'^token_refresh/$', StaffUserRefreshTokenView.as_view()),
    url(r'^token_verify/$', StaffUserVerifyTokenView.as_view()),
    url(r'^change_password/$', ChangePasswordView.as_view()),

    url(r'^practise/', include('apps.api.staff.practise.urls')),
    url(r'^mock/', include('apps.api.staff.mock.urls')),
    url(r'^errorbook/', include('apps.api.staff.errorbook.urls')),
    url(r'^exam/', include('apps.api.staff.exam.urls')),
    url(r'^knowledge/', include('apps.api.staff.knowledge.urls')),
]
